Overview | Modules | Class Hierarchy | Classes | Members

# MutableContainer.h File Reference

`#include <deque>`
`#include <iostream>`
`#include <string>`
`#include <cassert>`
`#include <tulip/tulipconf.h>`
`#include <tulip/tuliphash.h>`
`#include <tulip/ReturnType.h>`
`#include <tulip/Iterator.h>`

Include dependency graph for MutableContainer.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

- namespace tlp

## Classes

- class tlp::MutableContainer< TYPE >

## Defines

- #define DECL_DEFAULT_TYPE_VALUE(T)

## Enumerations

- enum tlp::State { tlp::VECT = 0, tlp::HASH = 1 }

## Functions

- template<typename TYPE> TYPE tlp::defaultTypeValue ()

## Define Documentation

#define DECL_DEFAULT_TYPE_VALUE | ( | T |  | ) |

Value:

    template<> inline T defaultTypeValue<T>() {                       \
      return (T) 0;                                             \
    }

Tulip Software by LaBRI Visualization Team 2001 - 2010